org.bouncycastle.asn1.cmp

## Class CertifiedKeyPair

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.cmp.CertifiedKeyPair

All Implemented Interfaces:
  DEREncodable

    public class CertifiedKeyPair
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Method Summary

Methods
`CertOrEncCert` `getCertOrEncCert()`
`static CertifiedKeyPair` `getInstance(java.lang.Object o)`
`EncryptedValue` `getPrivateKey()`
`PKIPublicationInfo` `getPublicationInfo()`
`DERObject` `toASN1Object()` CertifiedKeyPair ::= SEQUENCE { certOrEncCert CertOrEncCert, privateKey [0] EncryptedValue OPTIONAL, -- see [CRMF] for comment on encoding publicationInfo [1] PKIPublicationInfo OPTIONAL }

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static CertifiedKeyPair getInstance(java.lang.Object o)

#### getCertOrEncCert

    public CertOrEncCert getCertOrEncCert()

#### getPrivateKey

    public EncryptedValue getPrivateKey()

#### getPublicationInfo

    public PKIPublicationInfo getPublicationInfo()

#### toASN1Object

    public DERObject toASN1Object()

     CertifiedKeyPair ::= SEQUENCE {
                                      certOrEncCert       CertOrEncCert,
                                      privateKey      [0] EncryptedValue      OPTIONAL,
                                      -- see [CRMF] for comment on encoding
                                      publicationInfo [1] PKIPublicationInfo  OPTIONAL
           }

Specified by:
  `toASN1Object` in class `ASN1Encodable`
Returns:
  a basic ASN.1 object representation.